Get a company's profile and key stats
curl --request POST \
--url https://api.stophy.dev/v1/finance/profile \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"symbol": "AAPL"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({symbol: 'AAPL'})
};
fetch('https://api.stophy.dev/v1/finance/profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.stophy.dev/v1/finance/profile"
payload = { "symbol": "AAPL" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"data": {
"profile": {
"symbol": "<string>",
"name": "<string>",
"type": "<string>",
"exchange": "<string>",
"currency": "<string>",
"sector": "<string>",
"industry": "<string>",
"employees": 0,
"website": "<string>",
"summary": "<string>",
"address": {
"full": "<string>",
"street": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"country": "<string>"
},
"phone": "<string>",
"officers": [
{
"name": "<string>",
"title": "<string>",
"age": 0,
"totalPay": 123
}
],
"recommendation": "<string>",
"stats": {}
}
},
"creditsUsed": 123,
"requestId": "<string>"
}{
"success": false,
"error": {
"code": "cliSessionCompleted",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"retryAfterSeconds": 123
}
}{
"success": false,
"error": {
"code": "cliSessionCompleted",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"retryAfterSeconds": 123
}
}Finance
Finance profile API
Call the Finance profile API to get symbol, name, exchange, currency, sector and industry, as JSON or markdown. 1 credit.
POST
/
v1
/
finance
/
profile
Get a company's profile and key stats
curl --request POST \
--url https://api.stophy.dev/v1/finance/profile \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"symbol": "AAPL"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({symbol: 'AAPL'})
};
fetch('https://api.stophy.dev/v1/finance/profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.stophy.dev/v1/finance/profile"
payload = { "symbol": "AAPL" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"data": {
"profile": {
"symbol": "<string>",
"name": "<string>",
"type": "<string>",
"exchange": "<string>",
"currency": "<string>",
"sector": "<string>",
"industry": "<string>",
"employees": 0,
"website": "<string>",
"summary": "<string>",
"address": {
"full": "<string>",
"street": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"country": "<string>"
},
"phone": "<string>",
"officers": [
{
"name": "<string>",
"title": "<string>",
"age": 0,
"totalPay": 123
}
],
"recommendation": "<string>",
"stats": {}
}
},
"creditsUsed": 123,
"requestId": "<string>"
}{
"success": false,
"error": {
"code": "cliSessionCompleted",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"retryAfterSeconds": 123
}
}{
"success": false,
"error": {
"code": "cliSessionCompleted",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"retryAfterSeconds": 123
}
}- Endpoint:
finance.profile - Returns:
datahasprofile. - Cost: 1 credit. Failed calls cost nothing.
- Paging: No.
Example
import { Stophy } from "stophy";
const stophy = new Stophy({ apiKey: process.env.STOPHY_API_KEY });
const result = await stophy.finance.profile({ symbol: "AAPL" });
console.log(result.data.profile);
from stophy import Stophy
stophy = Stophy() # reads STOPHY_API_KEY
result = stophy.finance.profile(symbol="AAPL")
print(result["data"]["profile"])
curl -X POST https://api.stophy.dev/v1/finance/profile \
-H "Authorization: Bearer $STOPHY_API_KEY" \
-H "content-type: application/json" \
-d '{"symbol":"AAPL"}'
stophy finance profile AAPL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Pattern:
^[\w.^=-]{1,20}$